Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 563 - bugzilla needs more sanity checking of the email addresses
Summary: bugzilla needs more sanity checking of the email addresses
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.1rC
Hardware: All
OS: Linux
low
low vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-22 22:16 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-22 20:19:28 UTC


Attachments (Terms of Use)

Description Need Real Name 1998-12-22 22:16:03 UTC
the user addition code needs to at least do a lookup of the
host name to see if it exists before it tries to add the
user.

Comment 1 Need Real Name 1999-02-19 19:23:59 UTC
added changes to lose any spaces that were accidentally inserted into
email addresses (see bug #1223).  while this wasn't really a bug, and
has code to explicitly deny email addresses with spaces in them, it
was a simple thing to add.

Comment 2 Need Real Name 1999-03-22 14:26:59 UTC
Backed out changed for #1223 because it was causing "oddities" that it
shouldn't have.  I choose the lesser of two evils.

Comment 3 Anonymous 1999-04-22 20:19:59 UTC
This is just too difficult to do; there's no concrete way to ensure
that hostnames exist with DNS servers going up and down all the time.


Note You need to log in before you can comment on or make changes to this bug.